package sdlip.CORBA;

/** stream-based skeleton class */

public abstract class POA_Metadata
	extends org.omg.PortableServer.Servant
	implements org.omg.CORBA.portable.InvokeHandler, sdlip.CORBA.MetadataOperations
{
	private String[] ids = {"IDL:sdlip/CORBA/Metadata:1.0"};
	public sdlip.CORBA.Metadata _this()
	{
		return sdlip.CORBA.MetadataHelper.narrow(_this_object());
	}
	public org.omg.CORBA.portable.OutputStream _invoke(String method, org.omg.CORBA.portable.InputStream input, org.omg.CORBA.portable.ResponseHandler handler)
		throws org.omg.CORBA.SystemException
	{
		org.omg.CORBA.portable.OutputStream out = null;
		// do something
		if( method.equals("getPropertyInfo"))
		{
			try
			{
				java.lang.String _arg0=input.read_string();
				org.omg.CORBA.StringHolder _arg1= new org.omg.CORBA.StringHolder();
				out = handler.createReply();
				getPropertyInfo(_arg0,_arg1);
				_arg1._write(out);
			}
			catch(sdlip.CORBA.SDLIPException _ex0)
			{
				out = handler.createExceptionReply();
				sdlip.CORBA.SDLIPExceptionHelper.write(out, _ex0);
			}
		}
		else if( method.equals("getSubcollectionInfo"))
		{
			try
			{
				org.omg.CORBA.StringHolder _arg0= new org.omg.CORBA.StringHolder();
				out = handler.createReply();
				getSubcollectionInfo(_arg0);
				_arg0._write(out);
			}
			catch(sdlip.CORBA.SDLIPException _ex0)
			{
				out = handler.createExceptionReply();
				sdlip.CORBA.SDLIPExceptionHelper.write(out, _ex0);
			}
		}
		else if( method.equals("getInterface"))
		{
			try
			{
				org.omg.CORBA.StringHolder _arg0= new org.omg.CORBA.StringHolder();
				out = handler.createReply();
				getInterface(_arg0);
				_arg0._write(out);
			}
			catch(sdlip.CORBA.SDLIPException _ex0)
			{
				out = handler.createExceptionReply();
				sdlip.CORBA.SDLIPExceptionHelper.write(out, _ex0);
			}
		}
		else 		if( method.equals("_non_existent"))
		{
			handler.createReply().write_boolean(_non_existent());
		}
		else if( method.equals("_get_interface"))
		{
			handler.createReply().write_Object(_get_interface());
		}
		else if( method.equals("_is_a"))
		{
			handler.createReply().write_boolean(_is_a(input.read_string()));
		}
		else
		{
			throw new org.omg.CORBA.BAD_OPERATION(method + " not found");
		}
		return out;
	}
	public boolean _is_a(String rep_id)
	{
		for(int i = 0; i < ids.length; i++ )
			if(rep_id.equals(ids[i])) return true;
		return false;
	}
	public String[] _all_interfaces(org.omg.PortableServer.POA poa, byte[] obj_id)
	{
		return ids;
	}
}
