package sdlip.CORBA;

public class _ResultAccessStub
	extends org.omg.CORBA.portable.ObjectImpl
	implements sdlip.CORBA.ResultAccess
{
	private String[] ids = {"IDL:sdlip/CORBA/ResultAccess:1.0"};
	public String[] _ids()
	{
		return ids;
	}
	public void cancelRequest(int serverSID, int reqID) throws sdlip.CORBA.SDLIPException
	{
		while(true)
		{
			try
			{
				org.omg.CORBA.portable.OutputStream os = _request( "cancelRequest", true);
				os.write_long(serverSID);
				os.write_long(reqID);
				org.omg.CORBA.portable.InputStream is = _invoke(os);
				return;
			}
			catch( org.omg.CORBA.portable.RemarshalException _rx ){}
			catch( org.omg.CORBA.portable.ApplicationException _ax )
			{
				String _id = _ax.getId();
				if( _id.equals("IDL:sdlip/CORBA/SDLIPException:1.0"))
				{
					throw sdlip.CORBA.SDLIPExceptionHelper.read(_ax.getInputStream());
				}
				else 
					throw new RuntimeException("Unexpected exception " + _id );
			}
		}

	}

	public void extendStateTimeout(int serverSID, int additionalTime, org.omg.CORBA.IntHolder timeAllotted) throws sdlip.CORBA.SDLIPException
	{
		while(true)
		{
			try
			{
				org.omg.CORBA.portable.OutputStream os = _request( "extendStateTimeout", true);
				os.write_long(serverSID);
				os.write_long(additionalTime);
				org.omg.CORBA.portable.InputStream is = _invoke(os);
				timeAllotted._read(is);
				return;
			}
			catch( org.omg.CORBA.portable.RemarshalException _rx ){}
			catch( org.omg.CORBA.portable.ApplicationException _ax )
			{
				String _id = _ax.getId();
				if( _id.equals("IDL:sdlip/CORBA/SDLIPException:1.0"))
				{
					throw sdlip.CORBA.SDLIPExceptionHelper.read(_ax.getInputStream());
				}
				else 
					throw new RuntimeException("Unexpected exception " + _id );
			}
		}

	}

	public void getSessionInfo(int serverSID, org.omg.CORBA.IntHolder expectedTotal, org.omg.CORBA.IntHolder stateTimeout) throws sdlip.CORBA.SDLIPException
	{
		while(true)
		{
			try
			{
				org.omg.CORBA.portable.OutputStream os = _request( "getSessionInfo", true);
				os.write_long(serverSID);
				org.omg.CORBA.portable.InputStream is = _invoke(os);
				expectedTotal._read(is);
				stateTimeout._read(is);
				return;
			}
			catch( org.omg.CORBA.portable.RemarshalException _rx ){}
			catch( org.omg.CORBA.portable.ApplicationException _ax )
			{
				String _id = _ax.getId();
				if( _id.equals("IDL:sdlip/CORBA/SDLIPException:1.0"))
				{
					throw sdlip.CORBA.SDLIPExceptionHelper.read(_ax.getInputStream());
				}
				else 
					throw new RuntimeException("Unexpected exception " + _id );
			}
		}

	}

	public void getDocs(int serverSID, int reqID, java.lang.String docPropList, java.lang.String docsToGet, org.omg.CORBA.StringHolder res) throws sdlip.CORBA.SDLIPException
	{
		while(true)
		{
			try
			{
				org.omg.CORBA.portable.OutputStream os = _request( "getDocs", true);
				os.write_long(serverSID);
				os.write_long(reqID);
				os.write_string(docPropList);
				os.write_string(docsToGet);
				org.omg.CORBA.portable.InputStream is = _invoke(os);
				res._read(is);
				return;
			}
			catch( org.omg.CORBA.portable.RemarshalException _rx ){}
			catch( org.omg.CORBA.portable.ApplicationException _ax )
			{
				String _id = _ax.getId();
				if( _id.equals("IDL:sdlip/CORBA/SDLIPException:1.0"))
				{
					throw sdlip.CORBA.SDLIPExceptionHelper.read(_ax.getInputStream());
				}
				else 
					throw new RuntimeException("Unexpected exception " + _id );
			}
		}

	}

}
